List all translations
Retrieves a paginated list of all translations for the application with optional filtering by parent type and field type
GET
/api/v1/{team_slug}/{app_slug}/translationsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Query parameters
pageintegerPage number (default is 1)
per-pageintegerAmount of products per page. Minimum 0 and max 100 (default is 20)
parent-typestringFilter on parent type. Can be one of product product_bundle product_variant image attribute attribute_value category tag collection file bundle_group
field-typestringFilter on field type. Can be one of name value description alt title copyright slug meta_title meta_description html_description short_description html_short_description key
Responses
200
Translations
datainternal_pkg_webserver_v1.TranslationDTO[]requiredShow propertiesHide properties
Array of
internal_pkg_webserver_v1.TranslationDTOfield_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationFieldTyperequiredAllowed:
namevaluedescriptionalttitletypecopyrightslugmeta_titlemeta_descriptionhtml_descriptionshort_descriptionhtml_short_descriptionkeyidstringlanguage_codestringrequiredparent_refstringrequiredparent_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationTyperequiredAllowed:
productproduct_bundleproduct_variantchannel_contentimageattributeattribute_valuecategorytagcollectionfilebundle_groupvideobrandvariant_grouptranslationstringrequiredsuccessbooleantotalintegertotal_pagesinteger400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired